org.apache.fop.image.loader.batik

## Class BatikUtil

- java.lang.Object
- - org.apache.fop.image.loader.batik.BatikUtil

    public final class BatikUtil
    extends Object

Helper utilities for Apache Batik.

### Method Summary

All Methods Static Methods Concrete Methods
`static Document` `cloneSVGDocument(Document doc)` Clones an SVG DOM document.
`static boolean` `isBatikAvailable()` Checks whether Apache Batik is available in the classpath.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isBatikAvailable

    public static boolean isBatikAvailable()

Checks whether Apache Batik is available in the classpath.

Returns:
  true if Apache Batik is available

#### cloneSVGDocument

    public static Document cloneSVGDocument(Document doc)

Clones an SVG DOM document. This is used for making SVG production thread-safe when the SVG document is cached and re-used.

Parameters:
  `doc` - the SVG DOM to be cloned
Returns:
  the cloned SVG DOM